com.aliyun.svideosdk.common.struct.effect

## Class EffectImage

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.EffectImage

- All Implemented Interfaces:
    IEffectRect

      public class EffectImage
      extends EffectBase
      implements IEffectRect

  The image bean

- - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectImage(Bitmap bitmap)` Creates an EffectImage object with a bitmap image.
    `EffectImage(Source source)` Creates an EffectImage object with an image path.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EffectImage` | `copy()`
    `void` | `copy(EffectImage effectImage)`
    `Bitmap` | `getBitmap()` Gets the bitmap object of this image.
    `float` | `getHeightRatio()` Gets the height of this sticker relative to the screen resolution.
    `float` | `getRotation()` Get the radian of rotation of the caption
    `float` | `getWidthRatio()` Gets the width of this sticker relative to the screen resolution.
    `float` | `getXRadio()` Gets the x coordinate of the centroid of this sticker relative to the screen resolution.
    `float` | `getYRadio()` Gets the y coordinate of the centroid of this sticker relative to the screen resolution.
    `void` | `setHeightRatio(float heightRatio)` Sets the height of this sticker relative to the screen resolution.
    `void` | `setRotation(float radian)` Set the radian of rotation of the caption
    `void` | `setWidthRatio(float widthRatio)` Sets the width of this sticker relative to the screen resolution.
    `void` | `setXRadio(float xRatio)` Sets the x coordinate of the centroid of this sticker relative to the screen resolution.
    `void` | `setYRatio(float yRatio)` Sets the y coordinate of the centroid of this sticker relative to the screen resolution.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, copy, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectImage

          public EffectImage(Bitmap bitmap)

      Creates an EffectImage object with a bitmap image.
      Parameters:
        `bitmap` - The bitmap image.

    - #### EffectImage

          public EffectImage(Source source)

      Creates an EffectImage object with an image path.
      Parameters:
        `source` - The image path.

  - ### Method Detail

    - #### getBitmap

          public Bitmap getBitmap()

      Gets the bitmap object of this image.
      Returns:
        A bitmap object.

    - #### getXRadio

          public float getXRadio()

      Description copied from interface: `IEffectRect`
      Gets the x coordinate of the centroid of this sticker relative to the screen resolution.
      Specified by:
        `getXRadio` in interface `IEffectRect`
      Returns:
        The x coordinate. Valid values: [0, 1]

    - #### setXRadio

          public void setXRadio(float xRatio)

      Description copied from interface: `IEffectRect`
      Sets the x coordinate of the centroid of this sticker relative to the screen resolution.
      Specified by:
        `setXRadio` in interface `IEffectRect`
      Parameters:
        `xRatio` - The x coordinate. Valid values: [0, 1]

    - #### getYRadio

          public float getYRadio()

      Description copied from interface: `IEffectRect`
      Gets the y coordinate of the centroid of this sticker relative to the screen resolution.
      Specified by:
        `getYRadio` in interface `IEffectRect`
      Returns:
        The y coordinate. Valid values: [0, 1]

    - #### setYRatio

          public void setYRatio(float yRatio)

      Description copied from interface: `IEffectRect`
      Sets the y coordinate of the centroid of this sticker relative to the screen resolution.
      Specified by:
        `setYRatio` in interface `IEffectRect`
      Parameters:
        `yRatio` - The y coordinate. Valid values: [0, 1]

    - #### getWidthRatio

          public float getWidthRatio()

      Description copied from interface: `IEffectRect`
      Gets the width of this sticker relative to the screen resolution.
      Specified by:
        `getWidthRatio` in interface `IEffectRect`
      Returns:
        The width of this sticker. Valid values: [0, 1]

    - #### setWidthRatio

          public void setWidthRatio(float widthRatio)

      Description copied from interface: `IEffectRect`
      Sets the width of this sticker relative to the screen resolution.
      Specified by:
        `setWidthRatio` in interface `IEffectRect`
      Parameters:
        `widthRatio` - The width. Valid values: [0, 1]

    - #### getHeightRatio

          public float getHeightRatio()

      Description copied from interface: `IEffectRect`
      Gets the height of this sticker relative to the screen resolution.
      Specified by:
        `getHeightRatio` in interface `IEffectRect`
      Returns:
        The height of this sticker. Valid values: [0, 1]

    - #### setHeightRatio

          public void setHeightRatio(float heightRatio)

      Description copied from interface: `IEffectRect`
      Sets the height of this sticker relative to the screen resolution.
      Specified by:
        `setHeightRatio` in interface `IEffectRect`
      Parameters:
        `heightRatio` - The height. Valid values: [0, 1]

    - #### getRotation

          public float getRotation()

      Description copied from interface: `IEffectRect`
      Get the radian of rotation of the caption
      Specified by:
        `getRotation` in interface `IEffectRect`
      Returns:
        radian

    - #### setRotation

          public void setRotation(float radian)

      Description copied from interface: `IEffectRect`
      Set the radian of rotation of the caption
      Specified by:
        `setRotation` in interface `IEffectRect`

    - #### copy

          public EffectImage copy()

    - #### copy

          public void copy(EffectImage effectImage)